rte_event_timer_adapter_conf(3)

NAME
rte_event_timer_adapter_conf

SYNOPSIS

#include <rte_event_timer_adapter.h>

  Data Fields

uint8_t event_dev_id
uint16_t timer_adapter_id
uint32_t socket_id
enum rte_event_timer_adapter_clk_src clk_src
uint64_t timer_tick_ns
uint64_t max_tmo_ns
uint64_t nb_timers
uint64_t flags

Detailed Description

Timer adapter configuration structure

Definition at line 163 of file rte_event_timer_adapter.h.

Field Documentation

  uint8_t event_dev_id
Event device identifier

Definition at line 164 of file rte_event_timer_adapter.h.

  uint16_t timer_adapter_id
Event timer adapter identifier

Definition at line 166 of file rte_event_timer_adapter.h.

  uint32_t socket_id
Identifier of socket from which to allocate memory for adapter

Definition at line 168 of file rte_event_timer_adapter.h.

  enum rte_event_timer_adapter_clk_src clk_src
Clock source for timer adapter

Definition at line 170 of file rte_event_timer_adapter.h.

  uint64_t timer_tick_ns
Timer adapter resolution in ns

Definition at line 172 of file rte_event_timer_adapter.h.

  uint64_t max_tmo_ns
Maximum timer timeout(expiry) in ns

Definition at line 174 of file rte_event_timer_adapter.h.

  uint64_t nb_timers
Total number of timers per adapter

Definition at line 176 of file rte_event_timer_adapter.h.

  uint64_t flags
Timer adapter config flags (RTE_EVENT_TIMER_ADAPTER_F_*)

Definition at line 178 of file rte_event_timer_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.